/**
 * A server which encodes errors as return values.
 * 
 * @author Uno Holmer 
 * @version 2008-01-28
 */
public class Server {
    // Compute n! = 1*2*3*...*n   (n >=0)
    public long compute(int n) {
        if ( n < 0 )
            return -1;  // illegal argument, return error value
       
        long f = 1;
        for ( int i = 1; i<=n; i++ )
             f *= i;
             
        return f;
    }
}
